import { Encoder, Decoder } from "../../core/converter";
export interface AesEcb128ConverterOptions {
    key: string;
    iv: string;
}
export declare class AesEcb128Converter implements Encoder<Uint8Array, Uint8Array>, Decoder<Uint8Array, Uint8Array> {
    _options?: AesEcb128ConverterOptions;
    constructor(options?: AesEcb128ConverterOptions);
    setOptions(value: AesEcb128ConverterOptions): void;
    readonly options: AesEcb128ConverterOptions | undefined;
    encode(data: Uint8Array): Uint8Array;
    decode(data: Uint8Array): Uint8Array;
}
